CREATE TABLE rw_users (
uid             MEDIUMINT(6) UNSIGNED NOT NULL auto_increment,
email           VARCHAR(255) NOT NULL,
username        VARCHAR(8) NOT NULL,
password        VARCHAR(8) NOT NULL,
name            VARCHAR(150) NOT NULL,
acctype         TINYINT(1) NOT NULL,
status          TINYINT(1),
lastdate        DATETIME,
lastsip         VARCHAR(15),
lastuip         VARCHAR(15),
                PRIMARY KEY (uid),
                INDEX (uid,email,username,acctype,status)
);
CREATE TABLE rw_rings (
rid             MEDIUMINT(4) UNSIGNED NOT NULL auto_increment,
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
rname           VARCHAR(100) NOT NULL,
rurl            VARCHAR(255),
caid            MEDIUMINT(3),
stype           TINYINT(1) UNSIGNED,
rdescr          TEXT,
hcode           TEXT,
                PRIMARY KEY (rid),
                INDEX (rid,uid,rname,caid)
);
CREATE TABLE rw_sites (
sid             MEDIUMINT(8) UNSIGNED NOT NULL auto_increment,
rid             MEDIUMINT(4) UNSIGNED NOT NULL,
uid             MEDIUMINT(6) UNSIGNED NOT NULL,
sname           VARCHAR(100),
surl            VARCHAR(255),
hits            MEDIUMINT(8) UNSIGNED,
sdescr          TEXT,
                PRIMARY KEY (sid),
                INDEX (sid,rid,uid,sname)
);
CREATE TABLE rw_categories (
caid            MEDIUMINT(3) UNSIGNED NOT NULL auto_increment,
category        VARCHAR(50) NOT NULL,
subcategory     VARCHAR(50) NOT NULL,
                PRIMARY KEY (caid),
                INDEX (caid,category,subcategory)
);
CREATE TABLE rw_settings (
hcode                TEXT,
site_reg_to_leader   TEXT,
site_reg_to_user     TEXT,
ring_reg_to_admin    TEXT,
lost_pass            TEXT,
leader_site_remove   TEXT,
leader_site_disable  TEXT,
leader_site_enable   TEXT,
leader_site_accept   TEXT,
leader_site_decline  TEXT,
sitelist             TEXT,
admin_ring_remove    TEXT,
admin_ring_disable   TEXT,
admin_ring_enable    TEXT,
admin_ring_accept    TEXT,
admin_ring_decline   TEXT,
mail_header          TEXT,
mail_footer          TEXT
);

INSERT INTO rw_settings (hcode,site_reg_to_leader,site_reg_to_user,ring_reg_to_admin,lost_pass,leader_site_remove,leader_site_disable,leader_site_enable,leader_site_accept,leader_site_decline,sitelist,admin_ring_remove,admin_ring_disable,admin_ring_enable,admin_ring_accept,admin_ring_decline,mail_header,mail_footer) VALUES ('<center><font face="arial" size=2>[<a href="$cgi/rworldfs.pl?$rid&$uid&$uid&prev">PREV 5 SITES</a> | <a href="$cgi/rworldni.pl?$uid&$rid&random">RANDOM SITE</a> | <a href="$cgi/rwgetlst.pl?n=$rid&s=0">SITELIST</a> | <a href="$cgi/rworldfs.pl?$rid&$uid&$uid&next">NEXT 5 SITES</a>]<br><a href="$cgi/rworldni.pl?$uid&$rid&prev"><img src="$ringworld/images/prev.gif" border=0></a><a href="$furl"><img src="$cgi/rwglogo.pl?$rid&$uid" border=0></a><a href="$cgi/rworldni.pl?$uid&$rid&next"><img src="$ringworld/images/next.gif" border=0></a><br><b>$fullrn WebRing</b></font></center>','Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

New site has been added to your $rname WebRing. Authorization needed
',
'Your site is registered succesfully in $rname WebRing

Your username: $data{Username}
Your password: $data{Password}
You can login from: $ringworld/members.html

Please wait until your account will be activated (dont forget to place HTML code on your website)
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Owner name: $data{Name}
E-mail: $data{Email}
WebRing name: $fullrn
Username: $data{Username}
Password: $data{Password}
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

$body
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your site was removed from $rname webring by RingLeader
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your site was disabled by $rname RingLeader
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your site was enabled by $rname RingLeader
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your site was accepted by $rname RingLeader
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your site was declined by $rname RingLeader
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

WebRing: $fullrn ($wurl)
Sitelist:
$ddta
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your webring was removed by admin
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your webring was disabled by admin
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your webring was enabled by admin
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your webring was accepted by admin. Now you can login to your admin part and manage your ring

$ringworld/members.html

Login: $user
Password: $pass
',
'Received from $title (RingWorld Home) $ltime
-------------------------------------------------------

Your webring was declined by admin
',
'Default mail header
',
'Default mail footer
');
